<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEquipGridViewBase from './emequip-grid-view-base.vue';

import view_grid from '@widgets/emequip/main-grid/main-grid.vue';

/**
 * 设备档案
 *
 * @export
 * @class EMEquipGridView
 * @extends {EMEquipGridViewBase}
 */
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEquipGridView extends EMEquipGridViewBase { }
</script>